[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cross-project-issues-dev] Compatibility problem of EclipseLink and Equinox/platform for upcoming 3.7.1 release

Hi all,


from Tom Ware's response to the bugzilla entry I guess that EclipseLink 2.3.1 might fix this problem but will not part of the SR1 release. On the other hand Equinox fixed its API because the old implementation caused problems with other projects. This of course is a complete disaster for the Jubula project which relies on EclipseLink as part of Indigo. We are looking into workarounds but until we find one this is a show stopper.

What is the procedure for this? We are using RT components which worked in 3.7 but will break in 3.7.1. If we can't come up with a workaround and there will be no fix we won't be able to deliver a working feature/EPP package for SR1. 

Any help/hints/insights welcome.

Achim


On 24.08.2011, at 10:32, Markus Tiede wrote:

> Hi all,
> 
> I found a compatibility problem between EclipseLink and Equinox for the upcoming 3.7.1 service release, which prevents EclipseLink from loading the persistence unit. I have filed a bug for this issue: https://bugs.eclipse.org/bugs/show_bug.cgi?id=355484
> 
> As this may also affect other projects, I thought it might be good to know.
> 
> With best regards,
> MarkusT
> _______________________________________________
> cross-project-issues-dev mailing list
> cross-project-issues-dev@xxxxxxxxxxx
> https://dev.eclipse.org/mailman/listinfo/cross-project-issues-dev